/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/
body.bricks-is-frontend :focus {
  /* box-shadow: 0 0 0 1.5px var(--base); */
  outline: 0.1em solid currentColor;
}

:where(.brxe-text-basic) a {
  text-underline-offset: var(--underline-offset);
}

:where(.brxe-post-content) a:not(.bricks-button) {
  text-underline-offset: calc(var(--underline-offset) * 0.9);
}

:focus-visible {
  transition: outline-offset 75ms ease-out;
}

:not(:active):focus-visible {
  transition-duration: .25s;
}

:not(:active):focus-visible {
  outline-offset: .5rem;
}

body ::selection {
  color: #fff;
  background-color: var(--primary)
}

.bricks-mobile-menu .current-menu-item>a {
  color: var(--primary)
}

.footer__menu .bricks-nav-menu>.bricks-menu-item a {
  position: relative;
  display: inline
}

.footer__menu .bricks-nav-menu>.bricks-menu-item>a::after {
  bottom: -.34em
}

.header__menu .bricks-nav-menu>.bricks-menu-item>a::after,
.header__menu .bricks-nav-menu>.bricks-menu-item> .brx-submenu-toggle a::after {
  transition: all .3s ease;
  content: "";
  position: absolute;
  width: 0;
  background-color: var(--primary); 
  left: 50%;
  transform: translateX(-50%);
  bottom: -.54em;
  height: .18rem;
  border-radius: var(--radius-card)
}

.header__menu .bricks-nav-menu>:is(.current-menu-item, .current-menu-parent, .menu-item-has-children)>a::after,
.header__menu .bricks-nav-menu>:is(.current-menu-item, .current-menu-parent)>.brx-submenu-toggle a::after,
.header__menu .bricks-nav-menu>.active-cpt>a::after {
  width: 100%
}

.header__menu .bricks-nav-menu>li:not(.menu-item-has-children)>a:hover::after {
  width: 100%;
  animation: pulse 1s;
  box-shadow: 0 0 0 .7em transparent
}

.bricks-button {
  transition: background-color .2s ease
}

.bricks-button:hover {
  animation: pulse 1s;
  box-shadow: 0 0 0 0.6em transparent
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 var(--primary-l-3)
  }
}

address {
  font-style: normal
}

.footer__address-item svg,
.footer__network-item svg {
  transition: opacity .3s ease-in-out;
  justify-self: center
}

.footer__address-item:hover svg,
.footer__network-item:hover svg {
  opacity: .5
}

body:not(.single) .page-hero__heading:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  height: 3px;
  width: 100%;
  background: var(--primary);
  transform: scaleX(0);
  transform-origin: 50% 50%;
  animation: expand 2s forwards;
  animation-delay: .5s
}

@keyframes expand {
  0% {
    transform: scaleX(0)
  }

  to {
    transform: scaleX(1)
  }
}

.brxe-post-content {
  display: flex;
  flex-direction: column;
  justify-content: flex-start
}

.brxe-post-content * {
  margin-block: 0
}

.brxe-post-content *+* {
  margin-block-start: var(--space, 1.7rem)
}

.wp-block-image,
.wp-block-embed,
.wp-block-video {
  border-radius: var(--radius-img);
  overflow: hidden
}

.wsf-button.brxe-button.bricks-button.bricks-background-primary {
  font-size: calc(var(--font-body)*0.9);
}

label {
  color: inherit;
}

.home .header__logo:hover {
  opacity: 1;
}